#
# spec file for package novdoc-schema (Version 1.0.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  ImageMagick agfa-fonts docbook-xsl-stylesheets fop inkscape java2 jpackage-utils libxml2 libxslt libxslt-devel sgml-skel svg-dtd transfig update-alternatives xerces-j2 xml-commons-resolver

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel ImageMagick agfa-fonts autoconf automake binutils docbook-xsl-stylesheets fop gcc gdbm gettext glibc-32bit inkscape java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils libtool libxml2 libxslt libxslt-devel perl rpm sgml-skel svg-dtd transfig update-alternatives xerces-j2 xml-commons-resolver xorg-x11-libs-32bit

Name:         novdoc-schema
Group:        Productivity/Publishing/XML
License:      BSD
Summary:      Schemas for Editing Novell Documentation
Version:      1.0.1
Release:      1
Source0:      novdoc-schema-1.0.1.tar.bz2
# Patch:        novdoc-schema-xml-base-dir.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
Requires:     sgml-skel libxml2
Requires:     docbook_4 docbook-xsl-stylesheets
%define regcat /usr/bin/sgml-register-catalog
PreReq:       %{regcat} /usr/bin/xmlcatalog

%description
This package contains a DocBook-derived XML DTD used for Novell
documentation.



Authors:
--------
    Curtis Graham <curtis.graham@novell.com>
    Thomas Schraitle <thomas.schraitle@suse.de>

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755 -o root -g root
%define sgml_dir %{_datadir}/sgml
%define sgml_var_dir /var/lib/sgml
%define sgml_mod_dir %{sgml_dir}/novdoc
%define sgml_mod_dtd_dir %{sgml_mod_dir}/dtd
%define sgml_mod_custom_dir %{sgml_mod_dir}/custom
%define sgml_mod_style_dir %{sgml_mod_dir}/stylesheet
%define xml_dir %{_datadir}/xml
%define xml_mod_dir %{xml_dir}/novdoc/
%define xml_mod_dtd_dir %{xml_mod_dir}/schema/dtd/1.0
%define xml_mod_custom_dir %{xml_mod_dir}/custom
%define xml_mod_style_dir %{xml_mod_dir}/stylesheet
%define sgml_config_dir /var/lib/sgml
%define sgml_sysconf_dir %{_sysconfdir}/sgml
%define xml_config_dir /var/lib/xml
%define xml_sysconf_dir %{_sysconfdir}/xml
%debug_package
%prep
# %setup0 -T -c
%setup -q
# %patch -p1

%build
./configure --prefix=%{_prefix}
%define FOR_ROOT_CAT for-catalog-%{name}-%{version}-%{release}.xml
xmlcatbin=/usr/bin/xmlcatalog
# build root catalog fragment
rm -f %{FOR_ROOT_CAT}.tmp
$xmlcatbin --noout --create %{FOR_ROOT_CAT}.tmp
#CATALOG=%{xml_mod_dtd_dir}/catalog.xml
NOVCAT=%{xml_mod_dtd_dir}/catalog.xml
$xmlcatbin --noout --add "delegatePublic" "-//Novell//DTD NovDoc XML" \
    "file://$NOVCAT" %{FOR_ROOT_CAT}.tmp
$xmlcatbin --noout --add "delegateSystem" "novdocx.dtd" \
    "file://$NOVCAT" %{FOR_ROOT_CAT}.tmp
# Create tag
sed '/<catalog/a\
  <group id="%{name}-%{version}-%{release}">
/<\/catalog/i\
  </group>' \
  %{FOR_ROOT_CAT}.tmp > %{FOR_ROOT_CAT}

%install
if [ -n $RPM_BUILD_ROOT ]; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make -C schema install DESTDIR=$RPM_BUILD_ROOT
make -C xslt install   DESTDIR=$RPM_BUILD_ROOT
#
#%{INSTALL_DIR} $RPM_BUILD_ROOT%{xml_dir}/novdoc/schema/dtd/1.0
#%{INSTALL_DATA} %{S:0} %{S:11} %{S:12} \
#  $RPM_BUILD_ROOT%{xml_mod_dtd_dir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_var_dir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}
echo "CATALOG \"%{xml_mod_dtd_dir}/CATALOG\"" \
  >$RPM_BUILD_ROOT%{sgml_var_dir}/CATALOG.%{name}
ln -s %{sgml_var_dir}/CATALOG.%{name} \
  $RPM_BUILD_ROOT%{sgml_dir}/CATALOG.%{name}
cat_dir=%{buildroot}/etc/xml
%{INSTALL_DIR} $cat_dir
%{INSTALL_DATA} %{FOR_ROOT_CAT} $cat_dir
%define all_cat CATALOG.%{name}

%post
if [ -x %{regcat} ]; then
  for c in  %{all_cat}; do
    %{regcat} -a %{sgml_dir}/$c >/dev/null 2>&1
  done
fi
edit-xml-catalog --group --catalog /etc/xml/suse-catalog.xml \
  --add /etc/xml/%{FOR_ROOT_CAT}
exit 0

%postun
if [ "$1" = "0" -a -x %{regcat} ]; then
  for c in  %{all_cat}; do
    %{regcat} -r %{sgml_dir}/$c >/dev/null 2>&1
  done
fi
#now XML catalog
edit-xml-catalog --group --catalog /etc/xml/suse-catalog.xml \
  --del %{name}-%{version}-%{release}
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%dir %{xml_dir}
%dir %{xml_dir}/novdoc
%dir %{xml_dir}/novdoc/schema
%dir %{xml_dir}/novdoc/schema/dtd
%{xml_mod_dtd_dir}
%{xml_dir}/novdoc/stylesheet
%{sgml_dir}/*
%config %{sgml_var_dir}/*
%config %{xml_sysconf_dir}/%{FOR_ROOT_CAT}

%changelog -n novdoc-schema
* Fri Oct 14 2005 - ke@suse.de
- Update to version 1.0.1.
- Add packages to neededforbuild.
* Tue Oct 11 2005 - ke@suse.de
- Fix xml:base directory; reported by Thomas Schraitle.
* Fri Oct 07 2005 - ke@suse.de
- Update to current novdocx DTD CVS version.
- Add XSLT stylesheets.
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Tue Jul 12 2005 - ke@suse.de
- Update to novdocx DTD CVS version of today; enhance the following
  elements: date, itemizedlist, authorgroup, part, and chapter.
* Mon Jul 11 2005 - ke@suse.de
- Update to latest novdocx DTD CVS version.
- Remove obsolete susedtd entries from CATALOG file.
* Mon Jan 31 2005 - ke@suse.de
- Update to CVS version 1.14 for real.
* Mon Jan 31 2005 - ke@suse.de
- Update novdocx DTD to CVS version 1.14.
* Mon Dec 13 2004 - ke@suse.de
- Update/fix novdocx DTD.
* Thu Nov 25 2004 - ke@suse.de
- New package: version 1.0.
